package com.microservices.dss.enums;

public enum DssTaskStatus {
    DRAFT(0, "草稿"),
    AUDIT(1, "待审核"),
    REJECTED(2, "已拒绝"),
    PAPER_COLLECT(3, "成果征集中"),
    PAPER_SELECT(4, "成果评选中"),
    PUBLICITY(5, "公示中"),
    CONTRACT(6, "协议签订中"),
    PAYMENT(7, "支付中"),
    COMPLETE(8, "已完成"),
    REVISE(9, "待修缮");

    private final int key;
    private final String name;

    DssTaskStatus(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public int getKey() {
        return key;
    }

    public String getName() {
        return name;
    }
}